package com.spdbarcode.brcodeaidl;

import android.os.RemoteException;
import android.os.ServiceManager;

import com.spd.barcode.func.IBarcodeService;

public class ScanManager {

    IBarcodeService iBarcodeService;

    public void initBarcodeService() {

        iBarcodeService = IBarcodeService.Stub.asInterface(ServiceManager.getService("spdBarcode"));

    }

    public void configBarcode8String(String config) {

        if (iBarcodeService != null && config != null && !"".equals(config)) {
            try {
                //"{\"scan_setting\":[{\"softwareEngine\":[{\"AIM128.Enable\":\"0\"}]}]}"  "这里是传过来的扫描配置json转成String后的数据"
                iBarcodeService.configBarcode8String(config);
            } catch (RemoteException e) {
                throw new RuntimeException(e);
            }
        }
    }


}