package com.spdbarcode.brcodeaidl;

import android.os.Bundle;
import android.widget.Button;

import androidx.appcompat.app.AppCompatActivity;

public class MainActivity extends AppCompatActivity {

    ScanManager scanManager = new ScanManager();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        scanManager = new ScanManager();
        scanManager.initBarcodeService();
        initView();
    }

    private void initView() {
        Button button = findViewById(R.id.button);
        button.setOnClickListener(v -> scanManager.configBarcode8String("{\"scan_setting\":[{\"softwareEngine\":[{\"AIM128.Enable\":\"0\"}]}]}"));
    }
}